Mar 03, 2016

Elgato Game Capture HD 2.0 software requires Windows 7 Service Pack 1 (SP1)

Elgato Game Capture HD 2.0 software requires that Windows 7 Service Pack 1 (SP1) is installed.

If you want to use Elgato Game Capture HD60, then you must have Windows 7 Service Pack 1 (SP1) installed.

If you want to use the older Elgato Game Capture HD with the newer Elgato Game Capture HD 2.0 software, then you also must have Windows 7 Service Pack 1 (SP1) installed.

 
Installing Windows 7 SP1


If Windows 7 Service Pack 1 (SP1) is not installed, you will receive an error message that says "This application is only supported on Windows 7 SP1 or higher".

 


To find out more about Windows 7 Service Pack 1, and how to install it, please see this article at Microsoft.com:

http://windows.microsoft.com/en-us/windows7/install-windows-7-service-pack-1